package gov.usgs.earthquake.nshmp.netcdf.data;

public class ScienceBaseInfo {

  public final String id;
  public final String file;
  public final CatalogFileInfo[] files;
  public final String scienceBaseVersion;
  public final String title;
  public final String url;

  ScienceBaseInfo(
      String id,
      String file,
      CatalogFileInfo[] files,
      String scienceBaseVersion,
      String title,
      String url) {
    this.id = id;
    this.file = file;
    this.files = files;
    this.scienceBaseVersion = scienceBaseVersion;
    this.title = title;
    this.url = url;
  }

  static class CatalogFileInfo {
    final String file;
    final String siteClass;
    final String vs30;

    CatalogFileInfo(String file, String siteClass, String vs30) {
      this.file = file;
      this.siteClass = siteClass;
      this.vs30 = vs30;
    }
  }
}
